<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE generatorConfiguration
        PUBLIC "-//mybatis.org//DTD MyBatis Generator Configuration 1.0//EN"
        "http://mybatis.org/dtd/mybatis-generator-config_1_0.dtd">

<!--mybatis sql server 自动生成对象 -->
<!-- 1。 请在 eclipse中 开启命令行窗口 terminal -->
<!-- 2。 输入命令    java -jar mybatis-generator-core-1.3.2.jar -configfile generatorConfig.xml -overwrite -->
<!-- 3。 生成的内容在src下 ，会新建2个文件夹
		， 请手动 移动 文件 到指定目录，并删除 新生成的 2个文件夹 -->
<generatorConfiguration>
    <!--数据库驱动jar 根据 自己 文件所在 位置配置   依赖以及在pom.xml里配置了-->
    <classPathEntry location="E:\lib\jtds-1.2.4.jar" />

    <context id="sqlserver" targetRuntime="MyBatis3">
        <!--去除注释  -->
        <commentGenerator>
        	<property name="suppressDate" value="true"/>
            <property name="suppressAllComments" value="true" />
        </commentGenerator>

        <!--数据库连接 -->
        <jdbcConnection driverClass="net.sourceforge.jtds.jdbc.Driver"
                        connectionURL="jdbc:jtds:sqlserver:/10.32.2.151:1433/SMS"
                        userId="sa"
                        password="DGT.0000">
        </jdbcConnection>
        <!--默认false
           Java type resolver will always use java.math.BigDecimal if the database column is of type DECIMAL or NUMERIC.
         -->
        <javaTypeResolver >
            <property name="forceBigDecimals" value="false" />
        </javaTypeResolver>

        <!--生成实体类 指定包名 以及生成的地址 （可以自定义地址，但是路径不存在不会自动创建  使用Maven生成在target目录下，会自动创建） -->
        <javaModelGenerator targetPackage="com.ssm.model.business" targetProject="D:\workspace\SMS\src\main\java">
            <property name="enableSubPackages" value="true" />
            <property name="trimStrings" value="true" />
        </javaModelGenerator>
        <!--生成SQLMAP文件 -->
        <sqlMapGenerator targetPackage="mybatis\mapper\business"  targetProject="D:\workspace\SMS\src\main\resources">
            <property name="enableSubPackages" value="true" />
        </sqlMapGenerator>
        <!--生成Dao文件 可以配置 type="XMLMAPPER"生成xml的dao实现  context id="DB2Tables" 修改targetRuntime="MyBatis3"  -->
   		<javaClientGenerator type="XMLMAPPER" targetPackage="com.ssm.mapper.business"  targetProject="D:\workspace\SMS\src\main\java">
            <property name="enableSubPackages" value="true" />
        </javaClientGenerator>
   
        <!-- 需要 table 和要生成 的对象名称 -->
        <table  tableName="sms_send_state" domainObjectName="SmsSendState"
    		enableCountByExample="false" enableUpdateByExample="false" enableDeleteByExample="false"
   			 enableSelectByExample="false" selectByExampleQueryId="false" >
		</table>

    </context>
</generatorConfiguration>